# Retrieve an email template Queries the email template based on the specified ID. This operation supports retrieving the email template for all event types. Endpoint: GET /notifications/email-templates/{id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Path parameters: - `id` (string, required) The ID of the email template. ## Response 200 fields (application/json): - `active` (boolean) The status of the email template. Example: true - `bccEmailAddress` (string) Email BCC address. - `ccEmailAddress` (string) Email CC address. - `ccEmailType` (string) Email cc type. Enum: "BillToContact", "SoldToContact", "ShipToContact", "SpecificEmails", "TenantAdmin", "BillToAndSoldToContacts", "RunOwner", "AllContacts", "InvoiceOwnerBillToContact", "InvoiceOwnerSoldToContact", "InvoiceOwnerShipToContact", "InvoiceOwnerBillToAndSoldToContacts", "InvoiceOwnerAllContacts" - `createdBy` (string) The ID of the user who created the email template. Example: "8ad084a67f9c7138017fab8a8b511b5a" - `createdOn` (string) The time when the email template was created. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00 Example: "2024-11-06T09:24:07.000 UTC" - `description` (string) The description of the email template. - `emailBody` (string) The email body. You can add merge fields in the email body using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates. User can also embed html tags if isHtml is true. Example: "Dear user,
the account {{DataSource.Account.AccountNumber}} has been edited.
Company Co. Ltd." - `emailHeaders` (object) Container for custom email headers. Each custom email header consists of a header name and a header value. Example: {} - `emailSubject` (string) The email subject. You can add merge fields in the email subject using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates. Example: "Account {{DataSource.Account.AccountNumber}} has been edited" - `encodingType` (string) The endcode type of the email body. Enum: "UTF8", "Shift_JIS", "ISO_2022_JP", "EUC_JP", "X_SJIS_0213" - `eventCategory` (number) The event category code for a standard event. See [Standard Event Categories](https://knowledgecenter.zuora.com/Central_Platform/Notifications/A_Standard_Events/Standard_Event_Category_Code_for_Notification_Histories_API) for all event category codes. - `eventTypeName` (string) The name of the custom event or custom scheduled event. Example: "AccountEdit" - `eventTypeNamespace` (string) The namespace of the eventTypeName field for custom events and custom scheduled events. Example: "user.notification" - `fromEmailAddress` (string) If formEmailType is SpecificEmail, this field is required. - `fromEmailType` (string) The from email type. Enum: "TenantEmail", "RunOwner", "SpecificEmail" - `fromName` (string) The name of email sender. Example: "Company Co. Ltd." - `id` (string) The email template ID. Example: "f11e498862584a10a05b83ea70119659" - `isHtml` (boolean) Indicates whether the style of email body is HTML. - `name` (string) The name of the email template. Example: "Account Edit Email" - `replyToEmailAddress` (string) If replyToEmailType is SpecificEmail, this field is required - `replyToEmailType` (string) The reply email type. Enum: "TenantEmail", "RunOwner", "SpecificEmail" - `toEmailAddress` (string) If toEmailType is SpecificEmail, this field is required. - `toEmailType` (string) Email receive type. Enum: "BillToContact", "SoldToContact", "ShipToContact", "SpecificEmails", "TenantAdmin", "BillToAndSoldToContacts", "RunOwner", "AllContacts", "InvoiceOwnerBillToContact", "InvoiceOwnerSoldToContact", "InvoiceOwnerShipToContact", "InvoiceOwnerBillToAndSoldToContacts", "InvoiceOwnerAllContacts" - `updatedBy` (string) The ID of the user who updated the email template. Example: "8ad084a67f9c7138017fab8a8b511b5a" - `updatedOn` (string) The time when the email template was updated. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00 Example: "2024-11-06T09:24:07.000 UTC" ## Response 400 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 404 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 405 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 415 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response